'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.changeColumn(
        'MetaAuths',
        'resetAttempt',{
          type: Sequelize.DATE,
        }
      )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.changeColumn(
        'MetaAuths',
        'resetAttempt', {
          type: Sequelize.INTEGER, 
          defaultValue: 0,
        }
        )
      ])
  }
};
