'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
          'AppsumoCodes',
          'userId',{
              type: Sequelize.STRING,
              allowNull: true,
          }
      )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
        'AppsumoCodes',
        'userId'
      )
    ]);
  }
};
