'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
          'CourseSectionLectures',
          'description',{
              type: Sequelize.TEXT,
              allowNull: true,
          }
      )
  ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
        'CourseSectionLectures',
        'description'
      )
    ]);
  }
};
