'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
          'Companies',
          'smtpStatus',{
            type: Sequelize.ENUM('default', 'custom'),
            defaultValue: 'default'
          }
      )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
        'Companies',
        'smtpStatus'
      )
    ]);
  }
};
