'use strict';

module.exports = {
    up: (queryInterface, Sequelize) => {
        return Promise.all([
            queryInterface.changeColumn('Courses', 'description', {
                type: Sequelize.TEXT,
                allowNull: true,
            }),
            queryInterface.changeColumn('Quizzes', 'description', {
                type: Sequelize.TEXT,
                allowNull: true,
            })
        ])
    },
    down: (queryInterface, Sequelize) => {
        return Promise.all([
            queryInterface.changeColumn('Quizzes', 'description', {
                type: Sequelize.STRING,
                allowNull: true,
            }),
            queryInterface.changeColumn('Courses', 'description', {
                type: Sequelize.STRING,
                allowNull: true,
            })
        ])
    }
};
