'use strict';

module.exports = {
    up: (queryInterface, Sequelize) => {
        return Promise.all([
			queryInterface.addColumn(
				'MetaData',
				'key', {
                    type: Sequelize.STRING,
				},
			),
			queryInterface.addColumn(
				'MetaData',
				'value', {
                    type: Sequelize.TEXT,
                    allowNull: true,
				},
			)
		])
    },

    down: (queryInterface, Sequelize) => {
        return Promise.all([
			queryInterface.removeColumn(
				'MetaData',
				'key'
			), queryInterface.removeColumn(
				'MetaData',
				'value'
			)
		])
    }
};
