'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.bulkInsert('AppsumoPlans', [{
      code: 1,
      users: 10,
      storage: '2GB',
      dataTransfer: '9GB',
      createdAt: new Date(),
      updatedAt: new Date(),
  }, {
      code: 2,
      users: 30,
      storage: '2GB',
      dataTransfer: '9GB',
      createdAt: new Date(),
      updatedAt: new Date(),
  }, {
      code: 3,
      users: 50,
      storage: '5GB',
      dataTransfer: '9GB',
      createdAt: new Date(),
      updatedAt: new Date(),
  },{
      code: 4,
      users: 100,
      storage: '10GB',
      dataTransfer: '9GB',
      createdAt: new Date(),
      updatedAt: new Date(),
  }], {});
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.bulkDelete('AppsumoPlans', { users: [10, 30, 50, 100] }, {});
  }
};
