'use strict';
module.exports = (sequelize, DataTypes) => {
  const AssessmentSkill = sequelize.define('AssessmentSkill', {
    quizId: DataTypes.INTEGER,
    skillId: DataTypes.INTEGER
  }, {
    timestamps: true,
    paranoid: true,
  });
  AssessmentSkill.associate = function(models) {
    models.AssessmentSkill.belongsTo(models.Quiz, {foreignKey: 'quizId'});
    models.AssessmentSkill.belongsTo(models.Skill, {foreignKey: 'skillId'});
  };
  return AssessmentSkill;
};