'use strict';
module.exports = (sequelize, DataTypes) => {
  const Language = sequelize.define('Language', {
    name: DataTypes.STRING
  }, {
    timestamps: true,
    paranoid: true,
  });
  Language.associate = function(models) {
    // associations can be defined here
    models.Language.hasMany( models.Course ,{ forigenKey: 'languageId' });
    models.Language.hasMany( models.Quiz ,{ forigenKey: 'languageId' });

  };
  return Language;
}; 