'use strict';
module.exports = (sequelize, DataTypes) => {
  const CourseLectureQuestion = sequelize.define('CourseLectureQuestion', {
    courseSectionLectureId: DataTypes.INTEGER,
    courseQuizQuestionId: DataTypes.INTEGER
  }, {
    timestamps: true,
    paranoid: true
  });
  CourseLectureQuestion.associate = function(models) {
    models.CourseLectureQuestion.belongsTo(models.CourseSectionLecture, {foreignKey: 'courseSectionLectureId'});
    models.CourseLectureQuestion.belongsTo(models.CourseQuizQuestion, {foreignKey: 'courseQuizQuestionId'});
  };
  return CourseLectureQuestion;
};