'use strict';
module.exports = (sequelize, DataTypes) => {
  const CourseQuizQuestionOption = sequelize.define('CourseQuizQuestionOption', {
    courseQuizQuestionId: DataTypes.INTEGER,
    title: DataTypes.TEXT,
    isCorrect: DataTypes.INTEGER
  }, {
    timestamps: true,
    paranoid: true
  });
  CourseQuizQuestionOption.associate = function(models) {
    models.CourseQuizQuestionOption.belongsTo(models.CourseQuizQuestion, {foreignKey: 'courseQuizQuestionId'});
    models.CourseQuizQuestionOption.hasMany(models.CourseUserQuizAnswer , { foreignKey: 'courseQuizQuestionOptionId'});
  };
  return CourseQuizQuestionOption;
};