'use strict';
module.exports = (sequelize, DataTypes) => {
  const CourseUserQuizDetail = sequelize.define('CourseUserQuizDetail', {
    courseSectionLectureId: DataTypes.INTEGER,
    sessionId: DataTypes.INTEGER,
    attempts: DataTypes.INTEGER,
    percent: DataTypes.INTEGER,
    status: DataTypes.INTEGER,
    maxMarks:DataTypes.INTEGER,
    obtainedMarks: DataTypes.INTEGER
  }, {
    timestamps: true,
    paranoid: true,
  });
  CourseUserQuizDetail.associate = function(models) {
    models.CourseUserQuizDetail.belongsTo(models.CourseSectionLecture, { foreignKey: 'courseSectionLectureId'});
    models.CourseUserQuizDetail.belongsTo(models.Session, { foreignKey: 'sessionId'});
  };
  return CourseUserQuizDetail;
};