var reloadList = function() {
    load(true);
}

var setLectureList = function(lecture, quiz_percentage){
    $('#lecutres tbody').append('<tr> <td>'+lecture.name+'</td> <td>'+lecture.questionCount+'</td><td>' + (lecture.questionCount > 0 ? (lecture.questionCount * 5): 0) + '</td> <td>' + quiz_percentage+'%</td> <td><a href="/analytic/student-quiz-result/'+lecture.id+'">See Results <i class="feather icon-chevrons-right"></i> </a></td> </tr>');
}

var clearLectureList = function(){
    $('#lecutres tbody').html('');
    $('#pagecount').html('');  
    $('#pagination').html('');  
    $('#gotopage').html('');
}

var load = function(noloader){
    var data = new Object();
    data.courseId = page.courseId;
    data.page = getPageNo();
    data.limit = getLimit();
    api.analytic.lectureList(data, function (success) {
        clearLectureList();
        var quiz_percentage = 0;
        if(success && success.course){
            if(success.course.setting)
                quiz_percentage = JSON.parse(success.course.setting).quiz_passing_percentage;
        }
        if (success && success.lectures.length > 0) {
            success.lectures.forEach(function(lecture) {
                setLectureList(lecture, quiz_percentage);
            })
            if(success.pages && success.count)
                addPagination(success.pages, success.count);    
        }else $('#lecutres tbody').html('<td>No Lectures Found</td>');
      
    }, function(error) { }, noloader);
}

$(document).ready(function(){
    if(page.courseId)
        load(true);
})