
var startQuiz = function(){
    clearErrors();
    var ckeckValue = document.getElementById("check_val").checked;
    if(ckeckValue !=true){
         addError('check', 'Please accept terms & conditions first');
         hasError() && showErrors();
    }else{
        window.open('/assessment/'+page.id+'/'+page.sKey, '_self');
    }
}

var loadData = function(data){
    if(data.settings != null){
        var obj=JSON.parse(data.settings);
        duration =obj.duration;
        percentage =obj.percentage; 
    } 
    $('#quiz_name').text(data.name);
    $('#total_quiz').text(data.totalQuestions);
    $('#user_name').text(data.totalMarks);
    $('#quiz_time_min').text((data.settings ? duration : 0 )+'  Min');
    $('#quiz_percentage').text((data.settings ? percentage : 0 )+'%');
 }

var load = function(){
    var quizId=page.id;
    var skey=page.sKey;
    api.quiz.guidelines(quizId,skey,undefined, function (success) {
       if(success.result && success.result.Quiz){
            loadData(success.result.Quiz);
       }else{
            addError('quiz_name', 'No Data Founts');
            hasError() && showErrors();
      }
   });
}



$(document).ready(function(){
   load();
});