var loadData = function(data){
    var duration = 0;
    if(data.Quiz.settings != null){
        var obj=JSON.parse(data.Quiz.settings);
        duration =obj.duration; 
    } 
    if(data.Session != null){
       var SessionKey=data.Session.sessionKey;
    } 
    var date = new Date(data.createdAt);
    var assign= date.toDateString();
    $('#quiz_learner').append('<div class="col-sm-3"><div class="box-wrapper"> <img src="/static/quiz/logo/'+data.Quiz.logo+'"/> <div class="box-content description"> <h5><a href="javascript:void(0);" >'+data.Quiz.name+'</a></h5> <ul id="quiz_learner"> <li><b>No. of questions : </b>'+data.Quiz.totalQuestions+'</li> <li><b>Duration : </b>'+(duration != '' ? duration :'NA')+'  Min</li> <li><b>Assign Date : </b>'+assign+'</li></ul>  <a href="'+(data.completedAt ? '/my-assessments/result/': '/my-assessments/guidelines/')+data.quizId+'/'+SessionKey+'" class="btn btn-primary w-100 mx-0 mt-3 '+(data.Quiz.status == 'Unpublished' ? 'disabled' : '')+'"  >See '+(data.completedAt ? 'Result' : 'Test')+'</a> </div> '+(data.Quiz.status == 'Published' ? (data.completedAt ? '<div class="strip"> <p>Completed</p> </div>' : '<div class="strip draft"> <p>New</p> </div>') : '<div class="strip draft"> <p>Unpublished</p> </div>')+' </div></div>');
}

function load() {
    api.learner.quizList(undefined, function (success) {
        $('#quiz_learner').html('');
        if(success.quizzes && success.quizzes.length > 0){
            success.quizzes.forEach(function(datas) {			
                loadData(datas);			
            });
        }else{
            addError('check', 'Data Not Found');
            hasError() && showErrors();
        } 
    });
}

$(document).ready(function(){
    load();	
})