var validate = function() {
    var data = new Object();
    data.email = $('#resetEmail').val();
    if(data.email.length == 0){
        addError('email', 'Email is required field');
    }else if(!validateEmail(data.email)){
        addError('email', 'Email is Invalid');
    }
    hasError() && showErrors();
    return data;
}

var sendLink = function () {
    var data = validate();
    !hasError() && $("#sendreset").attr('disabled', "disabled") && api.auth.sendReset(data, function(success) {
        if (success) {
            showSuccess('If you are an existing user, we will immediately send you an email with a link to reset your password. If it is not in your inbox, Please check your spam/junk/bulk email folders.');
            setTimeout(function(){
                window.location = '/login';
            }, 2000)
            // setTimeout(function(){
            //     $("#sendreset").removeAttr("disabled");
            // },15000)
        }
    }, function(err) { $("#sendreset").removeAttr("disabled"); showError(err.errors) });
}

var validatePassword = function(){
    clearErrors();
    var data = new Object();
    data.email = page.email;
    data.token = page.token;
    var new_password = $('#new-password').val();
    if(new_password.length == 0)
        addError('new', 'New password is required field');
    else if(new_password.length < 8)
        addError('new', 'Enter new password atleast 8 characters');
    var confirm_password = $('#confirm-password').val();
    if(confirm_password.length == 0)
        addError('confirm', 'Confirm new password is required field');
    else if(new_password != confirm_password)
        addError('match', 'New password and confirm new password is not same.!');
    else data.password = confirm_password;
    hasError() && showErrors();
    return data;
}

var resetPassword = function(){
    var data = validatePassword();
    !hasError() && api.auth.resetPassword(data, function(success) {
        if(success && success.success){
            showSuccess('Password is updated successfully')
            setTimeout(function(){ 
               window.location = '/login';
            }, 1000);
        }
    });
}