var validatePassword = function(){
    clearErrors();
    var data = new Object();
    data.token = page.token;
    var new_password = $('#new-password').val();
    if(new_password.length == 0)
        addError('new', 'New password is required field');
    else if(new_password.length < 8)
        addError('new', 'Enter new password atleast 8 characters');
    var confirm_password = $('#confirm-password').val();
    if(confirm_password.length == 0)
        addError('confirm', 'Confirm new password is required field');
    else if(new_password != confirm_password)
        addError('match', 'New password and confirm new password is not same.!');
    else data.password = confirm_password;
    hasError() && showErrors();
    return data;
}

var setPassword = function(){
    var data = validatePassword();
    $('#password-error').html('')
    !hasError() && api.auth.setPassword(data, function (success) {
        if(success && success.success){
            showSuccess('Password is updated successfully')
            setTimeout(function(){ 
                window.location = decodeURIComponent(page.redirectTo);
            }, 1000);
        }
    }, function (err) {
        if(err && err.details && err.details[0])
            $('#password-error').html(err.details[0].message);
        else showError(JSON.stringify(err.errors));  
    }, error=>{}, )
}

var skipSetPassword = function(){
    window.location = decodeURIComponent(page.redirectTo+'&pass=1');
}