var sessionKey = sKey;
var quizId = id;
var answered = 0;
var totalQuestions = 0;
var duration = 0;
var totalSecond = 0;

$('#finish').click(function (e) {
    e.preventDefault();
    api.learner.finishTest({quizId:quizId,sessionKey:sessionKey},function(success){
        $(".total_question").html(success.questionCount);
        $(".answered_count").html(success.answeredCount);
        $(".skipped_count").html(success.questionCount - success.answeredCount);
    })
    
});

function submitTest(){
    var timer = totalSecond;//$("#runtime").html();
    api.learner.submitTest({timer:timer,quizId:quizId,sessionKey:sessionKey},function(success){
        window.location.href = "/my-assessments/result/"+id+"/"+sKey+"";
    })
}

$('#skip').click(function (e) {
    e.preventDefault();
    var nextId = $("#skip").attr("name");
    var questionId = $("#q-"+nextId).attr("name");
    var previousId = parseInt(nextId)-1;
    if(nextId != '' && questionId != ''){
        if(!$(".a_"+previousId).hasClass("answered"))
            $("#q-"+previousId).css("background","red")
        callQuestion(nextId,questionId)
    }
});

$('#next').click(function (e) {
    e.preventDefault();
    clearErrors();
    var data = {};
    var opt = [];
    var nextId = $("#skip").attr("name");
    var questionId = $("#q-"+nextId).attr("name");
    var previousId = parseInt(nextId)-1;
    var currentID =  $("#q-"+previousId).attr("name");
    data.quizId = quizId;
    data.sessionKey = sessionKey;
    data.questionId = currentID;
    data.answerId = $('input[name="radio"]:checked').val();
    if(data.answerId == undefined){
        addError('answerEr','Please select answer');
    }else{
        api.learner.saveAnswer(data,function(success){
            if(previousId == totalQuestions){
                showSuccess('All answers are saved!');
            }
        if(nextId != '' && questionId != '')
            $("#q-"+previousId).css("background","#8DC63F")
            callQuestion(nextId,questionId)
        })
    }
    hasError() && showErrors();
});

$('#previous').click(function (e) {
	e.preventDefault();
	var prevId = $("#previous").attr("name");
    var questionId = $("#q-"+prevId).attr("name");
    var nextId = parseInt(prevId)+1;
    if(prevId != '' && questionId != ''){
        if(!$(".a_"+nextId).hasClass("answered"))
            $("#q-"+nextId).css("background","red")
        callQuestion(prevId,questionId)
    }
});

function questionCount(count){
    var i = 1;
    totalQuestions = count.length;
    $('.qNmbrs').html('');
    count.forEach(function(c) {
        $('.qNmbrs').append('<li class="test_icons lg a_'+i+'" id="q-'+i+'" name="'+c.id+'" onclick="callQuestion('+i+','+c.id+')">'+i+'</li>');
        i++;
    })
}

function callQuestion(qid,questionId){
    api.learner.nextQuestion({quizId:quizId,sessionKey:sessionKey,questionId:questionId},function(success){
        answered = success.answered;
        if(success && success.data){            
            setQuestion(qid,success.data)
        }
    })
}

function setQuestion(qid,ques)
{ 
    $("#qid").html(qid +" .");
    $("#question").html(ques.title+" ?");
    $("#question-options").html('')
    if(ques.thumbnail)
        $("#showImage").css("display","block").attr("src","/static/quiz/content/"+ques.thumbnail+"");
    else $("#showImage").hide();
    ques.QuizQuestionOptions.forEach(function(q) {
        $("#question-options").append(
            "<div class='form-check option-block'>" +
            "<label class='form-check-label'>" +
            "<input type='radio' class='form-check-input' "+(q.id == answered ? 'checked' : '')+" value='"+q.id+"' name='radio'   id='q'><span id='optionval'>"+q.title+"</span></label>"
        );
    })
    if(qid == 1){
        $("#previous").prop('disabled',true);
    }else {
        $("#previous").attr("name",parseInt(qid)-1);
        $("#previous").prop('disabled',false);
    }
    if(qid == totalQuestions)
        $("#skip").hide();
    else
        $("#skip").show();

    if(qid == totalQuestions)
        $("#next").text("Save");
    else
        $("#next").text("Save & Next");

    if($('input[name="radio"]:checked').val() != undefined){
        $("#q-"+qid).css("background","#8DC63F");
        $(".a_"+qid).addClass("answered");        
    }
      
    $(".test_icons").removeClass("active");
    $(".a_"+qid).addClass("active");
    $("#skip").attr("name",parseInt(qid)+1);
}

function openFullscreen() {
    $("body").keydown(false);
	var elem = document.documentElement;
    if (elem.requestFullscreen) {
        elem.requestFullscreen();
    } else if (elem.msRequestFullscreen) {
        elem.msRequestFullscreen();
    } else if (elem.mozRequestFullScreen) {
        elem.mozRequestFullScreen();
    } else if (elem.webkitRequestFullscreen) {
        elem.webkitRequestFullscreen();
    }
}

// $(window).on('beforeunload', function(){
//     submitTest();
//     return 'Are you sure you want to leave?';
// });

history.pushState(null, null, location.href);
window.onpopstate = function(){
    history.go(1);
}
    
window.onunload = function(){
    submitTest();
}

$("body").keydown(false);

$(document).ready(function(){
    api.learner.startquiz({quizId:quizId,sessionKey:sessionKey},function(success){
        if(success && success.data){
            if(success.data.settings){
                var s = JSON.parse(success.data.settings);
                duration = s.duration;
                if(duration > 0){
                    $("#timer").attr("data-interval",duration * 60)
                    scheduleTimer();
                }
            }
            
            questionCount(success.count);
            setQuestion(1,success.data)
            $(".page-title").html(success.data.quizname)
            $("#quizname").html(success.data.quizname)
            
        }
    })
    // $('#full_screen_btn').click()
    document.onkeydown = function(e) {
		if(event.keyCode == 123) {
		   return false;
		}
		if(e.ctrlKey && e.shiftKey && e.keyCode == 'I'.charCodeAt(0)) {
		   return false;
		}
		if(e.ctrlKey && e.shiftKey && e.keyCode == 'C'.charCodeAt(0)) {
		   return false;
		}
		if(e.ctrlKey && e.shiftKey && e.keyCode == 'J'.charCodeAt(0)) {
		   return false;
		}
		if(e.ctrlKey && e.keyCode == 'U'.charCodeAt(0)) {
		   return false;
		}
      }
})

function startTimer(queueName, interval, el, next) {
    var timer = interval;
    $(el).data(queueName, setInterval(function() {
        totalSecond++;
      timer--;
      var H = Math.floor((timer % (60 * 60 * 24)) / (60 * 60));
      var HH = (H < 9 ? "0" : "") + H;
      var M = Math.floor((timer % (60 * 60)) / 60);
      var MM = (M < 9 ? "0" : "") + M;
      var S = Math.floor(timer % 60);
      var SS = (S < 9 ? "0" : "") + S;
  
      $(el).html("<i class='feather icon-clock'></i> <span id='runtime' >" + HH + " hr " + MM + " min " + SS +" sec</span>");
      if (timer === 0) {
        submitTest();
        // $(el).text("Updating");
        // clearInterval($(el).data(queueName));
        // next();
      }
    }, 1000));
  }
  
  function scheduleTimer(elem) {
    return $.when.apply($,
      $.map(elem ? elem : $(".timer"), function(el, index) {
        var timer_interval = $(el).data("interval");
        var timer_name = $(el).data("timer-name");
        return $(el).queue(timer_name, function(next) {
            startTimer(timer_name, timer_interval, el, next)
          }).dequeue(timer_name).promise(timer_name)
          .then(function(el) {
            var timer_name = el.data("timer-name")
            return el.delay(2000, timer_name)
              .queue(timer_name, function(next) {
                scheduleTimer(el)
              }).dequeue(timer_name).promise(timer_name)
          })
      }))
  }
  