import express from 'express';
import { jwtStrategy } from '../../../../middleware/strategy';
import activityController from './activity.controller';
import { userPermission } from '../../../../middleware/userPermission';
import { userImplant } from '../../../../middleware/auth';

export const activityRouter = express.Router();
activityRouter.route('/activities').get(jwtStrategy , userImplant,userPermission('activity-read') ,activityController.index);