import express from 'express';
import { jwtStrategy } from '../../../../middleware/strategy';
import discussionboardController from './discussionboard.controller';
import { userPermission} from '../../../../middleware/userPermission';
import { userImplant } from '../../../../middleware/auth';

export const discussionboardRouter = express.Router();
discussionboardRouter.route('/discussion-board').get(jwtStrategy , userImplant ,  /* userPermission('course-analytic-read'), */discussionboardController.index);