import { db } from "../../../../models";

export default {
    async index(req, res, next) {
        return res.render('quiz');
    },

    async createQuiz(req, res, next) {
        return res.render('create-quiz',{ 'id' : 0 });
    },
    async editQuiz(req, res, next) {
        if(req.params.id > 0){
            db.Quiz.findOne({ where : { id: req.params.id, companyId: req.user.companyId}})
            .then(r => {
                if(r){
                    if(r.status == 'Published') return res.render('401', {type: true} );
                    else return res.render('create-quiz',{ 'id': req.params.id});
                }else return res.render('404');
            })
        }else{
            return res.status(500).send('Invalid Quiz Id');
        }
    },
};