import { db } from '../../../../models';
import { queue } from '../../../../kue';

var getDetail = function(req){
    var detail = {}, ip = req.headers["x-real-ip"] || req.ip;
    detail.user_agent = req.headers['user-agent'];
    detail.systemDetail = req.headers['user-agent'];
    detail.ip = ip;
    return detail;
}

export default {
    async index(req, res, next) {
        if(req.query.sId){
            queue.create('session-email-open', { sId: req.query.sId, metaData: JSON.stringify(getDetail(req)) }).removeOnComplete(true).save();
            var options = {
                root: appRoot + '/public/images/',
                dotfiles: 'deny',
                headers: {
                    'x-timestamp': Date.now(),
                    'x-sent': true
                }
            };
            var fileName = 'pixel.png';
            res.sendFile(fileName, options, function (err) {
                if (err) {
                    console.log(err);
                    next(err);
                } else {
                    console.log('Sent:', fileName);
                }
            });
        }else{
            next();
        }
    }
};