'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
        'MemberCourses',
        'quizId',{
          type: Sequelize.INTEGER,
          references: {
            model: 'Quizzes',
            key: 'id'
          }
        }
      ),
      queryInterface.changeColumn(
        'MemberCourses',
        'courseId',{
          type: Sequelize.INTEGER,
          allowNull: true,
        }
      )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
      'MemberCourses',
      'quizId'
      )
      ])
  }
};
