'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
          'Companies',
          'skipLogin',{
            type: Sequelize.BOOLEAN,
            defaultValue: 0
          }
      )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
        'Companies',
        'skipLogin'
      )
    ]);
  }
};
