'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn(
          'MetaAuths',
          'password2',{
            type: Sequelize.STRING,
          }
      ),
      queryInterface.addColumn(
        'MetaAuths',
        'password3',{
          type: Sequelize.STRING,
        }
    )
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn(
        'MetaAuths',
        'password2'
      ),
      queryInterface.removeColumn(
        'MetaAuths',
        'password3'
      )
    ]);
  }
};
