'use strict';
module.exports = (sequelize, DataTypes) => {
  const CourseSection = sequelize.define('CourseSection', {
    name: DataTypes.TEXT,
    courseId: DataTypes.INTEGER,
    totalDuration: DataTypes.INTEGER,
    totalLecture: DataTypes.INTEGER
  }, {
    timestamps: true,
    paranoid: true,
  });
  CourseSection.associate = function(models) {
    models.CourseSection.belongsTo(models.Course, { foreignKey: 'courseId'});
    models.CourseSection.hasMany( models.CourseSectionLecture ,{ forigenKey: 'courseSectionId' });
  };
  return CourseSection;
};