var searchQuery = null;
var array = []
var sortBy = 'recent';

var sort = function (type) {
    sortBy = type;
    load(true);
}

var reloadList = function () {
    load(true);
}

var searchQuery = function () {
    setPage(1);
    load(false);
}

var paginationData = function (count) {
    setLimit(count);
    setPage(1);
    load(true);
}

var validate = function () {
    var data = new Object();
    data.search = $('#searchBar').val();
    if (data.search.length < 3)
        data.search = undefined;
    data.sort = sortBy;
    data.page = getPageNo();
    data.limit = getLimit();
    return data;
}

var dupes = {}
var count = 0;
var setAssessment = function (data) {
    var duration
    var percent;
    var setting;
    setting = (data.settings ? JSON.parse(data.settings) : null);
    percent = ( setting ? setting.percentage+'%' : 'NA'); 
    duration = ( setting ? setting.duration+' minutes' : 'NA');
    $('#assessment_result').append('<tr><td>' + data.name + '</td> <td>'+data.totalQuestions+'</td><td>' + duration+ '</td> <td>' + data.totalMarks + '</td><td> '+percent+' </td><td><a href="/result/user-assessment-result/'+ data.id+'">See Results <i class="feather icon-chevrons-right"></i> </a></td> </tr>');
}

var clearAssessment = function () {
    $('#assessment_result').html('');
    $('#pagecount').html('');
    $('#pagination').html('');
    $('#gotopage').html('');
}

var load = function (noloader = true) {
    var data = validate();
    api.result.list(data, function (success) {
        clearAssessment();
        if (success.quiz && success.quiz.length > 0) {
            success.quiz.forEach(function (data) {
                setAssessment(data);
            });
            
            if (success.pages && success.count)
                addPagination(success.pages, success.count);
        } else $('#assessment_result').html('<td>No Assessment Found.</td>');
    }, function(error) { }, noloader);
}

$(document).ready(function(){
    load();	
});
