var lastApi1 = null;
var searchQuery = null;
var sortBy = 'recent';
var fromDate = null, toDate = null;
var lastApi = null;
var count = 0;
var select = true;
var campaignStatus = null;
var startTimerCheck = false;
var runningCourse = 0;
var statuses = {
    'In Progress': {
        color: '#007bff'
    },
    'Completed': {
        color: '#118e09'
    },
    'Error': {
        color: '#e02525'
    },
    'Scheduled': {
        color: '#FFC300'
    },
}
var sort = function(type){
    sortBy = type;
    load();
}

function checkTimer(detail){
    var date =  new Date(detail.createdAt).toString().substr(0, 25);
    if(detail.Course.status == 'Unpublished') { status = 'Unpublished'}
    var d = new Date();
    var currentDate = d.getDate() + "/" + (d.getMonth()+1) + "/" + d.getFullYear();
    var meet_meta = JSON.parse(detail.Course.instructorDetail);
    var days = (parseInt(meet_meta.date) -parseInt(currentDate)) / (1000 * 60 * 60 * 24);
    var check = (parseInt(days) <= 1 ? true : false);
    if(check){
        settimer(detail.id,meet_meta.date,meet_meta.time)
        var current_AMPM_time = getCurrentTime();
        if(parseInt(days) == 1){
            if(current_AMPM_time > meet_meta.time)
                startTimerCheck = true;
        }else if(parseInt(days) == 0){
            if(current_AMPM_time <= meet_meta.time)
                startTimerCheck = true;
        }
        if(meet_meta.expired == 0 && parseInt(days) < 1){
            api.auth.isMeetingRunning({courseId:detail.courseId,meetingId:meet_meta.meetingId},function(success){
                if(success.running == 'true'){
                    runningCourse = detail.courseId;
                    $('#ongoing-hide').show();
                    $("#rem_"+detail.courseId).remove();
                    $('#onGoingCourse').prepend('<div class="col-sm-3 course_wrap"> <div class="card"> '+(status == 'Completed' ? '<button type="button" data-toggle="tooltip" data-placement="top" title="Download Certificate" class="btn btn-success btn-fa-download" onclick="download_certificate('+detail.id+')"><i class="fa fa-download"/></button> ' : '')+'<a href="/course/'+detail.courseId+'/'+detail.Session.sessionKey+'" class="course_list_learner"> <div class="new_course"> <p>Running</p></div><img class="card-img-top" src="/static/course/logo/'+detail.Course.logo+'" alt="Card image cap"> </a> <div class="card-body"> <a href="/course/'+detail.courseId+'/'+detail.Session.sessionKey+'"> <h5 class="card-title">'+detail.Course.name+' </h5> </a> <p class="card-text"><i class="feather icon-calendar"></i> Assign Date -  '+date+'</p><p class="skills-text"><i class="feather icon-eye"></i> Course Type - '+(detail.Course.courseType == 'instructor' ? "Live Instructor Led" : "Streaming")+'</p>'+(detail.Course.status == 'Published' &&  detail.Course.courseType == 'instructor' ?'<p>' : '')+'</p></div></div></div>')

                }
            })
        }


        
    }
}

var addCourse = function (detail) {
    if (detail.Course.name && detail.Course.courseType == 'streaming') {
        var status = "Ongoing";
        var name = detail.Course.name;
        var date =  new Date(detail.createdAt).toString().substr(0, 25);
        var inst = JSON.parse(detail.Course.instructorDetail);
        if(detail.percent == 0.00 ){ status = 'New'};
        if(detail.percent == 100.00) { status = 'Completed'};
        if(detail.Course.status == 'Unpublished') { status = 'Unpublished'}
        if(detail.Course.status == 'Published' &&  detail.Course.courseType == 'instructor')
            checkTimer(detail);
        if(detail.Course.courseType == 'instructor' && inst.expired == 1)
            status = 'Expired';
        if(detail.courseId != runningCourse){
            $('#course-list').append('<div class="col-sm-3 course_wrap" '+(detail.Course.courseType == 'instructor' ? 'id="rem_'+detail.courseId+'"' : "")+' > <div class="card course_card_border"> '+(status == 'Completed' ? '<button type="button" data-toggle="tooltip" data-placement="top" title="Download Certificate" class="btn btn-success btn-fa-download" onclick="download_certificate('+detail.id+')"><i class="fa fa-download"/></button> ' : '')+'<a href="/course/'+detail.courseId+'/'+detail.Session.sessionKey+'" > <div class="new_course"> <p>'+ status +'</p></div><img class="card-img-top" src="/static/course/logo/'+detail.Course.logo+'" alt="Card image cap"> </a> <div class="card-body"> <a href="/course/'+detail.courseId+'/'+detail.Session.sessionKey+'"> <h5 class="card-title">'+name+' </h5> </a> <p class="card-text"><i class="feather icon-calendar"></i> Assign Date -  '+date+'</p><p class="skills-text"><i class="feather icon-eye"></i> Course Type - '+(detail.Course.courseType == 'instructor' ? "Live Instructor Led" : "Streaming")+'</p>'+(detail.Course.status == 'Published' &&  detail.Course.courseType == 'instructor' ?'<p id="demo1" '+(status == 'Expired' ? 'style="display:none"':'')+'" class"="demo_'+detail.id+'">' : '')+'</p></div></div></div>')
        }
    }
}
var validate = function(){    
    clearErrors();
    var data = new Object();
    data.search = $('#searchBar').val();
    if(data.search.length < 3){
        data.search = undefined;
    }
    data.sort = sortBy;
    data.page = getPageNo();
    data.limit = getLimit();
    hasError() && showErrors();
    return data;
}
var clearCourse = function(){
    $('#course-list').html('');  
    $('#hide-paginate').html('');
} 
var clearOngoingCourse = function(){
    $('#onGoingCourse').html('');  
    $('#ongoing-hide').hide();
} 
var load = function(noloader) {
    var data = validate();
    !hasError(); 
    if(lastApi){
        lastApi.abort();
        lastApi = null;
    }
    lastApi = api.learner.courseList(data, function(success) {
        clearCourse();
        if(success.count){
            count = 0; select = true;
            success.courses.forEach(function(course) {
                addCourse(course);
            });
            lastApi = null;
            if(success.pages && success.count)
                addPagination(success.pages, success.count);
        }else $('#course-list').html('<p>No Course Found</p>')
    }, function(error) {}, noloader)
}
var addOnGoingCourse = function (detail) {
    if(detail.Course.courseType == 'streaming'){
        var title = detail.Course.name;
        var assignDate = new Date(detail.createdAt).toString().substr(0, 25);
        var status = '';
        var percent = 0;
        var percentCount = 1;
        percent = detail.percent;
        percent=Math.floor(percent/percentCount);
        // if(detail.Course.status == 'Published' &&  detail.Course.courseType == 'instructor')
        //     checkTimer(detail);
        status = '<div class="progressbar-list"> <div class="progress"> <div class="progress-bar" role="progressbar" style="width: '+percent+'%;" aria-valuenow="'+percent+'" aria-valuemin="0" aria-valuemax="100">'+percent+'% </div> </div> </div>'
        $('#onGoingCourse').append('<div class="col-sm-3 course_wrap"> <a href="/course/'+detail.courseId+'/'+detail.Session.sessionKey+'" class="course_list_learner"> <div class="card"> '+(detail.Course.status == 'Unpublished'? '<div class="new_course"> <p>'+ detail.Course.status +'</p></div>' : '')+'<img class="card-img-top" src="/static/course/logo/'+detail.Course.logo+'" alt="Card image cap"> <div class="card-body"> <h5 class="card-title">'+title+'</h5> <p class="card-text"> <i class="feather icon-calendar"></i> Assign Date - '+assignDate+'</p> <p class="skills-text"><i class="feather icon-eye"></i> Course Type - '+(detail.Course.courseType == 'instructor' ? "Live Instructor Led" : "Streaming")+'</p><div class="progressbar-list"> '+status+' </div> </div> </div> '+(detail.Course.status == 'Published' &&  detail.Course.courseType == 'instructor' ?'<p id="demo1" class="demo_'+detail.id+'">' : '')+'</p></a>  </div>')
    }
}
var searchQuery = function() {
    setPage(1);
    load(false);
}
var paginationData = function(count) {
    setLimit(count);
    setPage(1);
    load();
}


var download_certificate = function(memberCourseId) {
  api.learner.downloadCertificate({memberCourseId : memberCourseId},function (success){
       if(success && success.fileName){   
            var link=document.createElement('a');
            link.href='/static/pdf/'+success.fileName;
            link.download=success.fileName;
            link.click();
        }
  })
}

const monthNames = ["January", "February", "March", "April", "May", "June",
  "July", "August", "September", "October", "November", "December"
];

function settimer(id,date,time){
    var md = date.substr(0, 2);
    var d = new Date();
    var year = d.getFullYear();
    var countDownDate = new Date(""+monthNames[d.getMonth()]+" "+md+","+year+' '+time).getTime();
    var x = setInterval(function() {
    var now = new Date().getTime();
    var distance = countDownDate - now;
    
    // var days = Math.floor(distance / (1000 * 60 * 60 * 24));
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
    $('.demo_'+id).html('<span>'+hours+'h </span>'
    + '<span>'+minutes+'m </span>' + '<span>'+seconds+'s </span>')

    if(minutes < 10 && minutes > 0 && hours == 0){
        $("#cls_"+id).removeAttr("disabled");
    }
    if(hours < 0){
        $(".demo_"+id).css("display","none");
    }
    
//   if (distance < 0) {
//     clearInterval(x);
//     //document.getElementById("demo").innerHTML = "EXPIRED";
//   }
}, 1000);

}

var loadOngoingCourses = function() {
    !hasError(); 
    if(lastApi1){
        lastApi1.abort(); 
        lastApi1 = null;
    }
    lastApi1 = api.learner.onGoingCourse(undefined, function(success) {
        clearOngoingCourse();
        if(success && success.membercourses && success.membercourses.length > 0){
            success.membercourses.forEach(function(membercourse) {
                if(membercourse && (membercourse.percent > 0.00 && membercourse.percent < 100.00)){
                    addOnGoingCourse(membercourse);
                    $('#ongoing-hide').show();
                }
            });
            lastApi1 = null;
        } else  $('#ongoing-hide').hide();
    }, function(error) {})
}
$(document).ready(function(){
    load();
    loadOngoingCourses();
});