var setupper = '';
var setmiddle = '';
var setlower = '';

function changeTextImage(type){
    if(type == 'text'){
        $('#imageShowDiv').hide();
        $('#textId').show();
        $('#center').show();
        $('#imageId').hide();
    }else{
        $('#imageShowDiv').show();
        $('#textId').hide();
        $('#center').hide();
        $('#imageId').show();
    }
    meta && api.template.changeTextOrImage({ id: metaId, type: type }, function (success) {
        if (success && success.success) {
            // showSuccess('Template Type selected as ' + (t == 'd' ? 'Default' : 'Custom'));
        }
    });
}

function readURL(input) {
    if (input.files && input.files[0]) {
        var filename = input.files[0].name;
        ext = filename.split('.').pop().toLowerCase();
        if (ext == 'png' || ext == 'jpeg' || ext == 'jpg' || ext == 'gif') {
            if(input.files && input.files[0] && input.files[0].size > 2097152){
                $('#label-name').html('').html('Custom Image Upload');
                $('#filereading').val('');
                addError('filereading', 'Maximum 2 MB size of custom image allowed');
                hasError() && showErrors();
            }else{
                var reader = new FileReader();
                reader.onload = function (e) {
                    var img = new Image;
                    img.onload = function() {
                        if(img.width >= 750){
                            $('#filereading').val('');
                            $('#label-name').html('').html('Custom Image Upload');
                            addError('filereading', 'Custom image width should not be more than 750px.');
                            hasError() && showErrors();
                        }else{
                            $('#label-name').html(input.files[0].name);
                            $('#blahImg').attr('src', img.src);
                        } 
                    };
                    img.src = reader.result;
                };
                reader.readAsDataURL(input.files[0]);
            }
        } else {
            $('#filereading').val('');
            $('#label-name').html('').html('Custom Image Upload');
            addError('filereading', 'Please choose jpeg, jpg and png file format');
            hasError() && showErrors();
        }
    }
}

function setSubject(tId) {
    var subject = sanitize($('#subject-' + tId).val());
    $('#set_subject').html('').html(subject);
}

function setUpperContent(tId) {
    let d = 'upper_content-' + tId;
    let subject =  CKEDITOR.instances[d].getData();
    // let a = $('#upper_content-' + tId).html(sanitize(subject)).val();
    // var upperLength = a.length;
    // if (upperLength == 0) {
    //     $('#upp_char_' + tId).text(0);
    //     $('#upper_limit_' + tId).css({ "color": '#8a98ac' });
    // } else if (upperLength >= 501) {
    //     console.log(upperLength)
    //     $('#upper_content-' + tId).html(sanitize(setupper))
    //     $('#upp_char_' + tId).text(500);
    //     $('#upper_limit_' + tId).css({ "color": 'red' });
    //     return
    // } else {
    //     setupper = subject;
    //     // $('#upp_char_' + tId).text(upperLength);
    //     $('#upper_limit_' + tId).css({ "color": '#8a98ac' });
    // }
    $('#set_upper_content').html('').html(subject);
}

function setMiddleContent(tId) {
    let d = 'middle_content-' + tId;
    let subject =  CKEDITOR.instances[d].getData();
    // var subject = sanitize($('#middle_content-' + tId).val());
    // var middleLength = subject.length;
    // if (middleLength == 0) {
    //     $('#mid_char_' + tId).text(0);
    //     $('#middle_limit_' + tId).css({ "color": '#8a98ac' });
    // } else if (middleLength >= 501) {
    //     $('#middle_content-' + tId).val(setmiddle)
    //     $('#mid_char_' + tId).text(500);
    //     $('#middle_limit_' + tId).css({ "color": 'red' });
    //     return
    // } else {
    //     setmiddle = subject;
    //     $('#mid_char_' + tId).text(middleLength);
    //     $('#middle_limit_' + tId).css({ "color": '#8a98ac' });
    // }
    $('#set_middle_content').html('').html(subject);
}

function setLowerContent(tId) {
    var subject = sanitize($('#lower_content-' + tId).val());
    var lowerLength = subject.length;
    if (lowerLength == 0) {
        $('#low_char_' + tId).text(0);
        $('#lower_limit_' + tId).css({ "color": '#8a98ac' });
    } else if (lowerLength >= 101) {
        $('#lower_content-' + tId).val(setlower)
        $('#low_char_' + tId).text(100);
        $('#lower_limit_' + tId).css({ "color": 'red' });
        return
    } else {
        setlower = subject;
        $('#low_char_' + tId).text(lowerLength);
        $('#lower_limit_' + tId).css({ "color": '#8a98ac' });
    }
    $('#set_lower_content').html('').html(subject);
}

function validateCustom() {
    clearErrors();
    var data = new FormData();
    let subject = sanitize($('#subject-' + page.templateId).val());
    if (subject.length == 0)
        addError('subject', 'Please enter template subject');
    if($("#text").prop("checked")){
        data.append("type", 'text');
        let upper_content =  CKEDITOR.instances['upper_content-' + page.templateId].getData();/* sanitize($('#upper_content-' + page.templateId).val()); */
        if (upper_content.length == 0)
            addError('upper_content', 'Please enter upper content');
        data.append("upper_content", upper_content);
        data.append("middle_content", (CKEDITOR.instances['middle_content-' + page.templateId].getData()/* $('#middle_content-' + page.templateId).val() */ ? CKEDITOR.instances['middle_content-' + page.templateId].getData() /* sanitize($('#middle_content-' + page.templateId).val()) */ : ''));
        let lower_content = sanitize($('#lower_content-' + page.templateId).val());
        if (lower_content.length == 0)
            addError('lower_content', 'Please enter lower content');
        data.append("lower_content", lower_content);
    }
    if($("#image").prop("checked")){
        data.append("type",'image');
        let file = $('input[name=custom-template]').prop('files')[0];
        if(file == undefined && filename == '') 
            addError('custom-template', 'Please Choose a custom image.');
        // else if(file == undefined && filename != '') addError('custom-template', 'Please Change a custom image.');
        else data.append('logo', file);
    }
    hasError() && showErrors();
    data.append("templateId", page.templateId);
    data.append("enable", true);
    data.append("subject", subject);
    return data;
}

function saveCustomTemplate() {
    var data = validateCustom();
    !hasError() && api.template.post(data, function (success) {
        if (success && success.success) {
            showSuccess('Your Template Content has been ' + (meta ? 'updated.' : 'saved.'));
            $('#saveAndUpdate').html('').html('Update');
            $('#custom-click').html('');
            subject = $('#subject-' + page.templateId).val();
            meta = true;
            metaId = success.meta;
        }
    });
}

function hideShowdefaultCustom() {
    $('#custom-' + page.templateId).hide();
    $('#default-' + page.templateId).hide();
}

function defaultCustom(t) {
    hideShowdefaultCustom();
    $('#custom-click').html('');
    if (t == 'd') {
        $('#default-' + page.templateId).show();
        $('#set_subject').html('').html(page.defaultSubject);
    } else {
        $('#custom-' + page.templateId).show();
        if (subject != "") $('#set_subject').html(subject);
        else {
            $('#set_subject').html('');
            $('#custom-click').html('(Don’t forget to save the changes otherwise the template will be set as default)');
        }
    }
    meta && api.template.change({ tId: page.templateId, type: t }, function (success) {
        if (success && success.success) {
            showSuccess('Template Type selected as ' + (t == 'd' ? 'Default' : 'Custom'));
        }
    });
}

function clearTemplateHtmls(tId) {
    $('.name-' + tId).html('');
    $('.logo-' + tId).attr('src', '');
    $('#subject-' + tId).val('');
    // $('#upper_content-'+tId).val('');
    // $('#middle_content-'+tId).val('');
    // $('#lower_content-'+tId).val('');
    $('#upp_char_' + tId).text(sanitize($('#upper_content-' + tId).val()).length);
    $('#upper_limit_' + tId).css({ "color": '#8a98ac' });
    $('#mid_char_' + tId).text(sanitize($('#middle_content-' + tId).val()).length);
    $('#middle_limit_' + tId).css({ "color": '#8a98ac' });
    $('#low_char_' + tId).text(sanitize($('#lower_content-' + tId).val()).length);
    $('#lower_limit_' + tId).css({ "color": '#8a98ac' });
}

var meta = false;
var subject = '';
var filename = '';
var metaId = 0;

function load(tId) {
    api.template.get({ tId: tId }, function (success) {
        hideShowdefaultCustom();
        if (success && success.success) {
            clearTemplateHtmls(tId);
            if (success.company) {
                $('.name-' + tId).html((success.company.name ? success.company.name : 'KrademyLMS') + ' Team');
                $('.logo-' + tId).attr('src', (success.company.logo ? '/static/company/logo/' + success.company.logo : '/static/images/lms-logo.png'));
            }
            if (success.metaData != null) {
                meta = true;
                metaId = success.metaData.id;
                var data = JSON.parse(success.metaData.value);
                if (data.enable) {
                    $('#custom-temp').attr('checked', 'checked');
                    $('#custom-' + tId).show();
                    $('#set_subject').html('').html(data.subject);
                    $('#subject-' + tId).val(data.subject);
                    $('#'+data.type).attr('checked', 'checked');
                    changeTextImage(data.type);
                } else {
                    $('#default-temp').attr('checked', 'checked');
                    $('#default-' + tId).show();
                }
                subject = data.subject;
                $('#subject-' + tId).val(data.subject);
                $('#upper_content-' + tId).val(data.upper_content);
                $('#middle_content-' + tId).val(data.middle_content);
                $('#lower_content-' + tId).val(data.lower_content);
                $('#set_upper_content').html('').html(data.upper_content);
                $('#set_middle_content').html('').html(data.middle_content);
                $('#set_lower_content').html('').html(data.lower_content);
                if(data.filename || data.filename != undefined){
                    $('#blahImg').attr('src', '/static/template/custom/'+data.filename);
                    $('#label-name').html(data.originalName);
                    filename = data.filename;
                }else {
                    $('#blahImg').attr('src', '/static/images/demo.jpg');
                    $('#label-name').html('Custom Image Upload');
                }
                $('#saveAndUpdate').html('').html('Update');
                $('#upp_char_' + tId).text('').text(data.upper_content ? data.upper_content.length : 0);
                $('#mid_char_' + tId).text('').text(data.middle_content ? data.middle_content.length : 0);
                $('#low_char_' + tId).text('').text(data.lower_content ? data.lower_content.length : 0);
            } else {
                $('#default-temp').attr('checked', 'checked');
                $('#default-' + tId).show();
            }
        }
    });
}

addckediter = function(tId){
    let editor = CKEDITOR.replace( 'upper_content-'+tId, {
        toolbar:[  { name: 'document', groups: [ 'mode', 'document', 'doctools' ] },
            { name: 'clipboard', groups: [ 'clipboard', 'undo' ], items: [ 'Cut', 'Copy', 'Paste', '-', 'Undo', 'Redo' ] },
            { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ], items: [ 'Bold', 'Italic', 'Underline', '-', 'RemoveFormat' ] },
            { name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ], items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-' ] },
            { name: 'links', groups: [ 'links' ], items: [ 'Link', 'Anchor' ] },
            { name: 'styles', groups: [ 'styles' ], items: [ 'Styles', 'Font', 'FontSize' ] },
            { name: 'colors', groups: [ 'colors' ], items: [ 'TextColor', 'BGColor' ] },
            { name: 'tools', groups: [ 'tools' ], items: [ '' ] },
            { name: 'others', groups: [ 'others' ], items: [ '-' ] },
        ],
    } );
    editor.on( "pluginsLoaded", function( event ){
        editor.on( 'contentDom', function( evt ) {
            let editable = editor.editable();                   
            editable.attachListener( editable, 'keyup', function( e ) { 
                setUpperContent(tId)
            });
        }); 
    });

    let editor2 = CKEDITOR.replace( 'middle_content-'+tId, {
        toolbar:[  { name: 'document', groups: [ 'mode', 'document', 'doctools' ] },
            { name: 'clipboard', groups: [ 'clipboard', 'undo' ], items: [ 'Cut', 'Copy', 'Paste', '-', 'Undo', 'Redo' ] },
            { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ], items: [ 'Bold', 'Italic', 'Underline', '-', 'RemoveFormat' ] },
            { name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ], items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-' ] },
            { name: 'links', groups: [ 'links' ], items: [ 'Link', 'Anchor' ] },
            { name: 'styles', groups: [ 'styles' ], items: [ 'Styles', 'Font', 'FontSize' ] },
            { name: 'colors', groups: [ 'colors' ], items: [ 'TextColor', 'BGColor' ] },
            { name: 'tools', groups: [ 'tools' ], items: [ '' ] },
            { name: 'others', groups: [ 'others' ], items: [ '-' ] },
        ],
    } );

    editor2.on( "pluginsLoaded", function( event ){
        editor2.on( 'contentDom', function( evt ) {
            let editable2 = editor2.editable();                   
            editable2.attachListener( editable2, 'keyup', function( e ) { 
                setMiddleContent(tId)
            });
        }); 
    });
}

$(document).ready(function () {
    if (page.templateId){
        load(page.templateId);
        addckediter(page.templateId);
    }
    $('#set_subject').html('').html(page.defaultSubject);
})