import { db } from '../../../../models';
export default {
    async index(req, res, next) {
        var courseQuiz = true; var groups = true; var campaign = true;
        if(req.user && req.user.type == "root"){
            db.Course.count({ where : { companyId: req.user.companyId, $or: [ { status: "Active" },{ status: "Published" } ] } })
            .then(courseCount => {
                return db.Quiz.count({ where: { companyId:req.user.companyId, $or: [ { status: "Active" },{ status: "Published" } ] } }).then(r => [r, courseCount])
            })
            .then(([quizCount, courseCount]) => {
                if(quizCount == 0 && courseCount == 0) courseQuiz = false;
                return db.Group.count({ where :{ companyId:req.user.companyId, status: 'completed' } }).then(r => [r, courseQuiz])
            })
            .then(([groupCount, courseQuiz]) => {
                if(groupCount == 0) groups = false;
                return db.Campaign.count({ where: { companyId: req.user.companyId, status: 'Completed' } }).then(r => [r, groups, courseQuiz])
            })
            .then(([campaignCount, groups, courseQuiz]) => {
                if(campaignCount == 0) campaign = false;
                if(campaign == true && groups == true && courseQuiz == true)
                    return res.render('home');
                else return res.render('guide', {campaign:campaign, groups:groups, courseQuiz:courseQuiz });
            })
        }else 
            return res.redirect('my-courses');
    },
    async about(req, res, next) {
        return res.render('about');
    },

    async guide(req, res, next) {
        var courseQuiz = true; var groups = true; var campaign = true;
        db.Course.count({ where : { companyId: req.user.companyId, $or: [ { status: "Active" },{ status: "Published" } ] } })
        .then(courseCount => {
            return db.Quiz.count({ where: { companyId:req.user.companyId, status: 'Active' } }).then(r => [r, courseCount])
        })
        .then(([quizCount, courseCount]) => {
            if(quizCount == 0 && courseCount == 0) courseQuiz = false;
            return db.Group.count({ where :{ companyId:req.user.companyId, status: 'completed' } }).then(r => [r, courseQuiz])
        })
        .then(([groupCount, courseQuiz]) => {
            if(groupCount == 0) groups = false;
            return db.Campaign.count({ where: { companyId: req.user.companyId, status: 'Completed' } }).then(r => [r, groups, courseQuiz])
        })
        .then(([campaignCount, groups, courseQuiz]) => {
            if(campaignCount == 0) campaign = false;
            return res.render('guide', {campaign:campaign, groups:groups, courseQuiz:courseQuiz });
        })
    },
};  