import { db } from "../../../../models";

export default {
    async index(req, res, next) {
        return res.render('template-list');
    },
    async edit(req, res, next) {
        if(req.params.id){
            db.Templates.findOne({ where :{ id: req.params.id } })
            .then(temp => {
                var data = {  'course':false, 'quiz':false, 'completion':false, 'reminder':false, 'quiz_fail':false };
                data[temp.type] = true;
                if(temp) return res.render('template-edit', { id: req.params.id, data, subject:temp.subject, name:temp.name });
                else return res.status(404).send('Template not found.');
            })
        }else return res.status(403).send('Invalid data received.');
    },
  
};