import express from 'express';
import { jwtStrategy } from '../../../../middleware/strategy';
import templateController from './template.controller';
import { userPermission } from '../../../../middleware/userPermission';
import { userImplant } from '../../../../middleware/auth';

export const templateRouter = express.Router();
templateRouter.route('/template/list').get(jwtStrategy , userImplant,userPermission('template-list') ,templateController.index);
templateRouter.route('/template/edit/:id').get(jwtStrategy , userImplant,userPermission('template-read') ,templateController.edit);